> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workflow Template

> Endpoint to update a Workflow template by its ID.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json patch /workflows/v1/templates/{workflow_template_id}
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/templates/{workflow_template_id}:
    patch:
      tags:
        - Workflow Templates
      summary: Update Workflow Template
      description: Endpoint to update a Workflow template by its ID.
      operationId: >-
        workflow_service_update_workflow_template_v1_templates__workflow_template_id__patch
      parameters:
        - name: workflow_template_id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/PydanticObjectId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowTemplateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    WorkflowTemplateResponse:
      properties:
        workflow_template:
          $ref: '#/components/schemas/WorkflowTemplatesModel'
          description: Single workflow template object
      type: object
      required:
        - workflow_template
      title: WorkflowTemplateResponse
      description: |-
        Response model for a single workflow template.
        Contains a WorkflowTemplateModel object.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowTemplatesModel:
      properties:
        teamId:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: ID of the team that owns this record
        createdBy:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: ID of the user who created this record
        updatedBy:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: ID of the user who last updated this record
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        _id:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: MongoDB document ObjectID
        workflow_template_config:
          anyOf:
            - $ref: '#/components/schemas/WorkflowTemplateConfig-Output'
            - type: 'null'
          description: Workflow Template Configuration
      type: object
      title: WorkflowTemplatesModel
      description: Stores a workflow template configuration present in the workflow system.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WorkflowTemplateConfig-Output:
      properties:
        access_level:
          anyOf:
            - $ref: '#/components/schemas/AccessControlLevel'
            - type: 'null'
          title: Access Level
          description: Access level for the node library
          default: personal
        access_list:
          anyOf:
            - items:
                $ref: '#/components/schemas/PydanticObjectId'
              type: array
            - type: 'null'
          title: Access List
          description: List of user IDs or team IDs that have access to this node library
          input_field_not_visible: true
        logical_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Template Logical ID
          description: Unique identifier for the workflow template
          input_field_disallowed: true
        workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow ID
          description: The ID of the workflow this template belongs to
          input_field_not_visible: true
      type: object
      title: WorkflowTemplateConfig
    AccessControlLevel:
      type: string
      enum:
        - personal
        - team
        - system
      title: AccessControlLevel
      description: Enum representing different access control levels.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````